libcaca documentation

Main Page | Modules | Directories | File List | Globals

# Sprite handling

## Functions
caca_sprite * | caca_load_sprite (char const *)
| Allocate a sprite loaded from a file.
int | caca_get_sprite_frames (struct caca_sprite const *)
| Return the number of frames in a sprite.
int | caca_get_sprite_width (struct caca_sprite const *, int)
| Return the width of a sprite.
int | caca_get_sprite_height (struct caca_sprite const *, int)
| Return the height of a sprite.
int | caca_get_sprite_dx (struct caca_sprite const *, int)
| Return the X coordinate of a sprite's handle.
int | caca_get_sprite_dy (struct caca_sprite const *, int)
| Return the Y coordinate of a sprite's handle.
void | caca_draw_sprite (int, int, struct caca_sprite const *, int)
| Draw a sprite's specific frame at the given coordinates. If the frame does not exist, nothing is displayed.
void | caca_free_sprite (struct caca_sprite *)
| Free the memory associated with a sprite.

## Detailed Description

These functions provide high level routines for sprite loading, animation and rendering.

## Function Documentation

void caca_draw_sprite | ( | int | x,
|  | int | y,
|  | struct caca_sprite const * | sprite,
|  | int | f
| ) |

  | Parameters:
  | x | The X coordinate.
  | y | The Y coordinate.
  | sprite | The sprite.
  | f | The frame index.
Returns: void

void caca_free_sprite | ( | struct caca_sprite * | sprite | ) |

  | Parameters:
  | sprite | The sprite to be freed.
Returns: void

int caca_get_sprite_dx | ( | struct caca_sprite const * | sprite,
|  | int | f
| ) |

  | Parameters:
  | sprite | The sprite.
  | f | The frame index.
Returns: The X coordinate of the given frame's handle.

int caca_get_sprite_dy | ( | struct caca_sprite const * | sprite,
|  | int | f
| ) |

  | Parameters:
  | sprite | The sprite.
  | f | The frame index.
Returns: The Y coordinate of the given frame's handle.

int caca_get_sprite_frames | ( | struct caca_sprite const * | sprite | ) |

  | Parameters:
  | sprite | The sprite.
Returns: The number of frames.

int caca_get_sprite_height | ( | struct caca_sprite const * | sprite,
|  | int | f
| ) |

  | Parameters:
  | sprite | The sprite.
  | f | The frame index.
Returns: The height of the given frame of the sprite.

int caca_get_sprite_width | ( | struct caca_sprite const * | sprite,
|  | int | f
| ) |

  | Parameters:
  | sprite | The sprite.
  | f | The frame index.
Returns: The width of the given frame of the sprite.

struct caca_sprite* caca_load_sprite | ( | char const * | file | ) |

  | Parameters:
  | file | The filename.
Returns: The sprite, or NULL if an error occured.